Skip to main content

Create a context password

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/context-passwords

Since: 2.73.0

Required permission(s): AccessControl.CredentialCreate

Creates a context password credential for the user with the given external ID, belonging to the specified client.

If the associated password policy has resetCodeEnabled set to true, the password is auto-generated and a password fragment is returned in the response body. If resetCodeEnabled is false, the password must be provided in the request body and no content is returned.

Each context value must be unique per user. The context is immutable after creation.

In case the password creation fails because the provided password violates password policies, all the related policy violations will be included in the error response.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the credential.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential.

    password string

    The value of the context password credential. This parameter is never returned.

    context stringrequired

    Possible values: non-empty

    The value of the context parameter of context password credential.

Responses

Context password created, password fragment returned

Response Headers
  • Location any

    URL of the created resource

Schema
    passwordFragment string

    A part of the generated password.

Loading...